{% set sysma_object_id = O.id %}
{% include('sysma-object/sysmaObjectBackButton.twig') %}

<h2>Calculs Segments REH</h2>
<p>Choisissez la date du calcul et si vous souhaitez enregistrer ou non les résultats, puis cliquez sur un calcul ci-dessous</p>
<div class="form-group">
    <label>Segment à calculer</label>    
    <select name="id" id="id" class="form-control" >    
        <option value="{{O.id}}">{{ O.id }} {{ O.nom|raw }}</option>
    </select>
</div>
<div class="form-group">
    <label>Date du calcul</label>
    <input name="date" id="date"  class="form-control" value="{{"now"|date("Y-m-d") }}" required type="date"/>
</div>
<div class="form-group">
    <label><input type="checkbox" value="1" name="rec" id="rec" /> Enregistrer les résultats ?</label>
    <p>Si vous ne cochez pas cette case, les résultats seront affichés mais pas enregistrés dans Sysma</p>
</div> 

<h3>Altérations REH</h3>
<p>Calcule les altérations REH (lit, berge, ligne d'eau) à partir des paramètres (métriques) relevés sur le terrain. L'ensemble des paramètres obligatoires doivent être renseignés.</p>

<button class="btn btn-default btn-xs"
        onClick="sendData('id=' + $('#id').val() + '&date=' + $('#date').val() + '&rec=' + $('#rec').is(':checked'), '{{ url('segreh-calcul', { 'calcul' : 'AlterationsREH' })}}', 'objet', event, false);">Lancer le calcul</button>

<hr></hr>
<h3>Obstacles à l'écoulement</h3>
<p>Calcul du nombre d'obstacles et de la somme de hauteurs de chute pour les ouvrages priamires dans un rayon de 20 mètres autour du segment.</p>

<button class="btn btn-default btn-xs"
        onClick="sendData('tampon=20&id=' + $('#id').val() + '&date=' + $('#date').val() + '&rec=' + $('#rec').is(':checked'), '{{ url('segreh-calcul', { 'calcul' : 'Obstacles' })}}', 'objet', event, false);">Lancer le calcul</button>
<hr></hr>
<h3>Plans d'eau</h3>
<p>Calcul du nombre de plasn d'eau dans un rayon de 80 mètres autour du segment.</p>

<button class="btn btn-default btn-xs"
        onClick="sendData('tampon=80&id=' + $('#id').val() + '&date=' + $('#date').val() + '&rec=' + $('#rec').is(':checked'), '{{ url('segreh-calcul', { 'calcul' : 'PlansDEau' })}}', 'objet', event, false);">Lancer le calcul</button>      

<hr></hr>
<h3>Abreuvoirs sauvages</h3>
<p>Calcul du nombre d'abreuvoirs sauvages dans un rayon de 100 mètres autour du segment.</p>

<button class="btn btn-default btn-xs"
        onClick="sendData('id_object_type=41&parameter_id=284&tampon=100&id=' + $('#id').val() + '&date=' + $('#date').val() + '&rec=' + $('#rec').is(':checked'), '{{ url('segreh-calcul', { 'calcul' : 'NbObjets' })}}', 'objet', event, false);">Lancer le calcul</button>

<hr></hr>
<h3>Drains</h3>
<p>Calcul du nombre de drains dans un rayon de 100 mètres autour du segment.</p>

<button class="btn btn-default btn-xs"
        onClick="sendData('id_object_type=44&parameter_id=290&tampon=100&id=' + $('#id').val() + '&date=' + $('#date').val() + '&rec=' + $('#rec').is(':checked'), '{{ url('segreh-calcul', { 'calcul' : 'NbObjets' })}}', 'objet', event, false);">Lancer le calcul</button>

<hr></hr>
<h3>Berges dégradées</h3>
<p>Calcul du linéaires de berges dégradées dans un tampon de 80 mètres</p>

<button class="btn btn-default btn-xs"
        onClick="sendData('id_object_type=42&parameter_id=286&tampon=80&id=' + $('#id').val() + '&date=' + $('#date').val() + '&rec=' + $('#rec').is(':checked'), '{{ url('segreh-calcul', { 'calcul' : 'Lineaires' })}}', 'objet', event, false);">Lancer le calcul</button>



<hr></hr>      
<h3>Lits artificialisés</h3>
<p>Calcul du linéaires dans un tampon de 30 mètres</p>

<button class="btn btn-default btn-xs"
        onClick="sendData('id_object_type=43&parameter_id=285&tampon=30&id=' + $('#id').val() + '&date=' + $('#date').val() + '&rec=' + $('#rec').is(':checked'), '{{ url('segreh-calcul', { 'calcul' : 'Lineaires' })}}', 'objet', event, false);">Lancer le calcul</button>